Docker Community Forums

Share and learn in the Docker community.

Application stopped working on version 1.11.0, build 4dc5990 and later


(Qadinc) #1

Hi,

Ok got a good one for you guys…I have an application that I’ve deployed and it stopped working on version 1.11.0, build 4dc5990 and later. The application works fine when run under 1.10.3, build 20f81dd

It is a Progress OpenEdge database server binary that provides network connectivity to the database. The error that comes back is related to semaphores

SYSTEM ERROR: Unable to semAdd semaphore set : semid = 0, errno = 43. (10839)

Did something change in 1.11 and later which would cause such an error? The only thing that is different is the Docker version, It works in the last version of 1.10 and fails with the first version of 1.11. Same docker host running RedHat Linux 7. Also fails on a Boot2Docker VM with version 1.11, and CentOS 7

Not sure where to start on troubleshooting this other than something changed between these two versions. It basically will put our docker project on hold until worked out.

Thanks for any input